summaryrefslogtreecommitdiffstats
path: root/abs/core/runit-scripts/runitscripts
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2015-01-29 21:24:35 (GMT)
committerBritney Fransen <brfransen@gmail.com>2015-01-29 21:24:35 (GMT)
commit7b3f302f194ae19b81cfa447eee943beebed9fa3 (patch)
tree624084d87fc25de88a28f4e54862d315545fcb5e /abs/core/runit-scripts/runitscripts
parente822ee994c9efda7c8811e82d1e66af74f1fc149 (diff)
downloadlinhes_pkgbuild-7b3f302f194ae19b81cfa447eee943beebed9fa3.zip
linhes_pkgbuild-7b3f302f194ae19b81cfa447eee943beebed9fa3.tar.gz
linhes_pkgbuild-7b3f302f194ae19b81cfa447eee943beebed9fa3.tar.bz2
runit-scripts: add xvnc for runit
Diffstat (limited to 'abs/core/runit-scripts/runitscripts')
-rw-r--r--abs/core/runit-scripts/runitscripts/services/xvnc/run17
1 files changed, 17 insertions, 0 deletions
diff --git a/abs/core/runit-scripts/runitscripts/services/xvnc/run b/abs/core/runit-scripts/runitscripts/services/xvnc/run
new file mode 100644
index 0000000..c1ef573
--- /dev/null
+++ b/abs/core/runit-scripts/runitscripts/services/xvnc/run
@@ -0,0 +1,17 @@
+#!/bin/sh
+exec 2>&1
+export TERM=linux
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+sv start frontend || exit 1
+
+stat_runit "Starting x11vnc"
+. /etc/systemconfig
+if [ -e /etc/x11vnc.cfg ]
+then
+ . /etc/x11vnc.cfg
+ exec chpst -umythtv x11vnc $x11vnc_options
+else
+ exec chpst -umythtv x11vnc -forever -rfbport 5902 --passwd $xvncpassword
+fi